Source: libmoosex-traitfor-meta-class-betteranonclassnames-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libautobox-core-perl,
                     libmoose-perl,
                     libnamespace-autoclean-perl,
                     libtest-checkdeps-perl,
                     libtest-moose-more-perl,
                     perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-traitfor-meta-class-betteranonclassnames-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-traitfor-meta-class-betteranonclassnames-perl.git
Homepage: https://metacpan.org/release/MooseX-TraitFor-Meta-Class-BetterAnonClassNames

Package: libmoosex-traitfor-meta-class-betteranonclassnames-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libautobox-core-perl,
         libmoose-perl,
         libnamespace-autoclean-perl
Description: helper for MooseX::Util to generate anonymous class names
 MooseX::TraitFor::Meta::Class::BetterAnonClassNames helps MooseX::Util's
 with_traits() method to create better named anonymous classes.
 .
  my $anon_class_name = with_traits('Zombie::Catcher', 'SomeTrait');
 .
 now becomes
 .
  Zombie::Catcher::__ANON__::SERIAL::1
 .
 rather than
 .
  Moose::Meta::Class::__ANON__::SERIAL::1
